Skip to main content
GET
/
v1
/
participations
List participations for the authenticated partner and user
curl --request GET \
  --url https://api.coinlist.co/v1/participations \
  --header 'Authorization: Bearer <token>'
{
  "data": [
    {
      "amount": "<string>",
      "amount_string": "<string>",
      "asset": {
        "code": "<string>",
        "fractional_digits": 123,
        "id": "<string>",
        "name": "<string>"
      },
      "chain": "<string>",
      "id": "05edea81-98a7-4582-aa7c-040d57cb1858",
      "object": "participation",
      "offer_id": "<string>",
      "offer_option_id": "<string>",
      "status": "prepared",
      "inserted_at": "2025-01-01T00:00:00.000000Z",
      "updated_at": "2025-01-01T00:00:00.000000Z",
      "wallet_address": "<string>"
    }
  ],
  "object": "list",
  "starting_after": "g3QAAAA...",
  "starting_before": "g3QAAAA..."
}

Documentation Index

Fetch the complete documentation index at: https://docs.coinlist.co/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

OAuth 2.0 authorization and token endpoints

Query Parameters

starting_after
string

Cursor for the next page

starting_before
string

Cursor for the previous page

limit
integer

Number of items to return

filters
object[]

Flop filter parameters (e.g. by offer_id)

Response

Successful response.

data
Participation · object[]
required
object
enum<string>
required

String representing the object's type. Objects of the same type share the same value.

Available options:
list
starting_after
string

String representing the page cursor to used for querying the next page.

Example:

"g3QAAAA..."

starting_before
string

String representing the page cursor to used for querying the previous page.

Example:

"g3QAAAA..."